grk::BlockCache< T, P > Class Template Reference

`#include <Precinct.h>`

Inheritance diagram for grk::BlockCache< T, P >:

## Public Member Functions

| BlockCache (uint16_t numLayers, uint64_t maxChunkSize, P *blockInitializer)
virtual | ~BlockCache ()=default
Public Member Functions inherited from grk::SparseCache< T >
| SparseCache (uint64_t maxChunkSize)
virtual | ~SparseCache (void)
T * | tryGet (uint64_t index)
T * | get (uint64_t index)

## Protected Member Functions

virtual T * | create (uint64_t index) override

## Private Attributes

P * | blockInitializer_
uint16_t | numLayers_

## Constructor & Destructor Documentation

## BlockCache()

template<typename T , typename P >

grk::BlockCache< T, P >::BlockCache | ( | uint16_t | numLayers,
|  | uint64_t | maxChunkSize,
|  | P * | blockInitializer
| ) |  |

inline

## ~BlockCache()

template<typename T , typename P >

virtual grk::BlockCache< T, P >::~BlockCache | ( |  | ) |

virtual default

## Member Function Documentation

## create()

template<typename T , typename P >

virtual T * grk::BlockCache< T, P >::create | ( | uint64_t | index | ) |

inline override protected virtual

Implements grk::SparseCache< T >.

References grk::BlockCache< T, P >::blockInitializer_, grk::grk_read(), and grk::BlockCache< T, P >::numLayers_.

## Member Data Documentation

## blockInitializer_

template<typename T , typename P >

P* grk::BlockCache< T, P >::blockInitializer_

private

Referenced by grk::BlockCache< T, P >::create().

## numLayers_

template<typename T , typename P >

uint16_t grk::BlockCache< T, P >::numLayers_

private

Referenced by grk::BlockCache< T, P >::create().

The documentation for this class was generated from the following file:

- Precinct.h